Package org.springframework.security.core.session

# Class SessionCreationEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.core.session.AbstractSessionEvent
org.springframework.security.core.session.SessionCreationEvent

All Implemented Interfaces:
  `Serializable`

public abstract class SessionCreationEvent extends AbstractSessionEvent
Generic session creation event which indicates that a session (potentially represented by a security context) has begun.

Since:
  3.0
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`SessionCreationEvent(Object source)`

## Method Summary

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SessionCreationEvent

public SessionCreationEvent(Object source)